apiVersion: batch/v1
kind: Job
metadata:
  name: mc-migration-{{ .Values.commit }}
  labels:
    commit: {{ .Values.commit }}
  annotations:
    "helm.sh/hook-delete-policy": hook-succeeded,hook-failed
spec:
  template:
    metadata:
      labels:
        commit: {{ .Values.commit }}
    spec:
      imagePullSecrets:
      - name: regsecret
      containers:
      - name: mc-migration-1
        image: registry.gitlab.com/drim-consulting/devops/monitoring-center/migration:{{ .Values.version }}
        imagePullPolicy: Always
        env:
        - name: PGHOST
          value: mc-database
        - name: PGUSER
          value: postgres
        - name: PGPASSWORD
          value: root
        - name: PGDATABASE
          value: monitoring-center
      restartPolicy: Never
  backoffLimit: 10
